using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        byte[] txbuff = new byte[10];           // Byte array for the transmit data
        byte uid = 255;                         // SC6Dlite uid

        public Form1()
        {
            InitializeComponent();
            serialPort1.BaudRate = 9600;        // Initialize serial port
            serialPort1.PortName = "COM1";      // 
            serialPort1.Open();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            txbuff[0] = uid;                        // Load the transmit buffer
            txbuff[1] = 98;
            string a = textASCII.Text.PadLeft(6);   // Insert spaces to made 6 bytes
            byte[] c = StrToByteArray(a);           // Convert string to byte array
            int z = 0;
            for (z = 0; z < 6; z++)
            {
                txbuff[z + 2] = c[z];
            }
            serialPort1.Write(txbuff, 0, 8);        // Send transmit buffer to SC6Dlite
        }
        private static byte[] StrToByteArray(string str)
        {
            System.Text.ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
            return encoding.GetBytes(str);
        }
    }
}